Bug 5989 - [FR] provide more detailed locations for temporary storage and use them
: [FR] provide more detailed locations for temporary storage and use them
Status: CLOSED FIXED
: Sisyphus
(All bugs in Sisyphus/apache-common)
: unstable
: all Linux
: P2 enhancement
Assigned To:
:
:
:
:
: 5990
  Show dependency tree
 
Reported: 2005-01-29 12:55 by
Modified: 2006-06-26 16:36 (History)


Attachments


Note

You need to log in before you can comment on or make changes to this bug.


Description From 2005-01-29 12:55:11
need to provide /var/cache/httpd/{sessions,uploads} (2770 root:apache) and use
it in /etc/init.d/httpd:

-export TMPDIR=/tmp
+export TMPDIR=/var/cache/httpd

(or maybe different _subdirs_ for httpd and httpd-perl even)
------- Comment #1 From 2005-01-29 19:46:25 -------
I'd even vote for /var/spool/apache/*/ (tmp/, sessions/, uploads/)
------- Comment #2 From 2005-01-29 20:15:35 -------
<Pilot> gvy: и кто это будет чистить?
<gvy> Pilot, чистить -- а хоть и stmpclean :)
------- Comment #3 From 2005-01-29 21:37:39 -------
Fixed in 1.3.33rusPL30.20-alt3.  stmpclean question needs some thought/advice
though :-)
------- Comment #4 From 2005-08-30 02:22:47 -------
closing
------- Comment #5 From 2005-08-30 02:32:54 -------
closing